package com.sunyard.chsm.mapper;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sunyard.chsm.model.entity.Cert;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.util.Assert;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * @author liulu
 * @since 2024/11/6
 */
@Mapper
public interface CertMapper extends BaseMapper<Cert> {


    default Cert selectBySN(String sn) {
        Assert.hasText(sn, "证书序列号不能为空");
        List<Cert> certs = selectList(new LambdaQueryWrapper<Cert>()
                .eq(Cert::getSerialNumber, sn)
        );
        if (CollectionUtils.isEmpty(certs)) {
            return null;
        }
        return certs.iterator().next();
    }


}
