package com.sunyard.chsm.controller;

import com.sunyard.chsm.dto.CertDTO;
import com.sunyard.chsm.service.CertService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import javax.validation.Valid;

/**
 * 应用证书管理接口
 *
 * @author liulu
 * @since 2024/11/6
 */
@Slf4j
@RestController
@RequestMapping
public class CertController {

    @Resource
    private CertService certService;


    /**
     * 导入证书
     *
     * @param importCert 证书
     */
    @PostMapping("/app/cert/import")
    public void importCert(@Valid @RequestBody CertDTO.ImportCert importCert) {
        certService.importCert(importCert);
    }


}
