package com.sunyard.chsm.dto;

import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @author liulu
 * @since 2024/11/6
 */
public abstract class CertDTO {


    @Data
    public static class ImportCert {
        /**
         * 密钥算法 目前支持: SM2
         */
        @NotEmpty(message = "密钥算法不能为空")
        private String keyAlg;
        /**
         * 是否单证,
         */
        @NotNull(message = "单双证不能为空")
        private Boolean single;
        /**
         * 证书类型: encrypt_decrypt 加密证书, sign_verify 签名证书
         */
        private String certType;
        /**
         * 单证证书内容
         */
        private String certText;
        /**
         * 签名证书内容
         */
        private String signCertText;
        /**
         * 加密证书内容
         */
        private String encCertText;
        /**
         * 加密密钥信封
         */
        private String envelopedKey;

    }


}
